PHP is amongst the most widely used reflective programming languages. It is pretty popular since it’s free software, which you can use to develop interactive sites like social networking websites, e-stores or e-learning sites as opposed to static HTML sites. A PHP module should be available on the server where a PHP-powered site is hosted so that its code can be ‘decoded’. Because there aren’t any license charges for this kind of module and the language itself provides countless possibilities for the web applications that you build, there’re 100s of millions of PHP websites. On top of that, there’re tons of PHP-based scripts, which you can use for your sites without needing to have any coding knowledge. Since there’re a number of versions of PHP, you have to make certain that the same exact version that you used while setting up your site is activated on the web server as well.

PHP 4 and PHP 5 Support in Web Hosting

With our web hosting services, you will be able to choose the version of PHP that will be enabled for your account, as several versions are activated on our servers. With as little as one mouse click, you will be able to switch between PHP 4, 5.2, 5.3, 5.4 and 5.5 and whenever a new version is published in the future, we’ll add it to the Hepsia Control Panel without removing the previous versions. In this way, you will be able to host all the websites that you have created over the years. In contrast with lots of other web hosting suppliers, we will not compel you to update such websites, because a script may be out of date, but this does not automatically mean that it’s insecure as you may have tweaked its code to prevent safety gaps. For your convenience’s sake, you will even be able to set a different version of PHP for each individual site hosted in your shared account.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

We are firm in our conviction that years spent creating a website shouldn’t go down the drain, which suggests that if you buy a semi-dedicated server from us, you’ll be able to use any script, regardless of whether it’s old or new. In stark contrast to a lot of hosting suppliers, we support several different PHP versions on our innovative cloud hosting platform – 5.5, 5.4, 5.3, 5.2 and 4. You will not only have the ability to activate the needed version from your Hepsia hosting Control Panel, but you’ll also have the opportunity to specify a different version for each website. This can be accomplished simply by inserting an .htaccess file in the root folder of the given site. You can change the current version both for a single site and for the entire account and the new settings will take effect in less than a few minutes. With our hosting services, you can be sure that you will never run into any website compatibility difficulties.